Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WritingPofHandler::ComplexMap Class Reference

`#include <coherence/io/pof/WritingPofHandler.hpp>`

Inherits WritingPofHandler::Complex.

List of all members.

## Detailed Description

A ComplexMap object represents a map data structure (with uniform keys or with uniform keys and values) in the POF stream.

## Public Types
typedef spec::Handle | Handle
| ComplexMap Handle definition.
typedef spec::View | View
| ComplexMap View definition.
typedef spec::Holder | Holder
| ComplexMap Holder definition.
## Public Member Functions
virtual void | onValue (int32_t iPos)
  | Notify the Complex object that a value has been encountered. Parameters:
  | iPos | the position that accompanied the value
virtual bool | isUniform () const
| Determine if the object encoding within the Complex type is uniform.
virtual int32_t | getUniformType () const
| If the object encoding is using uniform encoding, obtain the type id of the uniform type.
## Protected Member Functions
| ComplexMap (Complex::Handle hComplexCurrent, int32_t nUniformKeyTypeId)
| Construct a ComplexMap object for maps with uniformly-typed keys.
| ComplexMap (Complex::Handle hComplexCurrent, int32_t nUniformKeyTypeId, int32_t nUniformValTypeId)
| Construct a ComplexMap object for maps with uniformly-typed keys and values.
## Protected Attributes
bool | m_fKey
| Toggles between key and value processing every time the caller invokes onValue.
const bool | m_fUniformValue
| Whether or not values within the map are uniformly encoded.
const int32_t | m_nValueTypeId
| The value type ID, if uniform encoding is used for values.

## Constructor & Destructor Documentation

ComplexMap | ( | Complex::Handle | hComplexCurrent,
|  | int32_t | nUniformKeyTypeId |
| ) |  |  | `[protected]`

Construct a ComplexMap object for maps with uniformly-typed keys.

Parameters:

  | hcomplexCurrent | the current Complex object or NULL
  | nUniformKeyTypeId | the type identifier of the uniform type

ComplexMap | ( | Complex::Handle | hComplexCurrent,
|  | int32_t | nUniformKeyTypeId,
|  | int32_t | nUniformValTypeId |
| ) |  |  | `[protected]`

Construct a ComplexMap object for maps with uniformly-typed keys and values.

Parameters:

  | hComplexCurrent | the current Complex object or NULL
  | nUniformKeyTypeId | the type identifier of the uniform type for keys in the map
  | nUniformValTypeId | the type identifier of the uniform type for values in the map

## Member Function Documentation

virtual bool isUniform | ( |  | ) | const `[virtual]`

Determine if the object encoding within the Complex type is uniform.

Returns:
  true iff values within the Complex type are of a uniform type and are encoded uniformly

Reimplemented from WritingPofHandler::Complex.

virtual int32_t getUniformType | ( |  | ) | const `[virtual]`

If the object encoding is using uniform encoding, obtain the type id of the uniform type.

Returns:
  the type id used for the uniform encoding

Reimplemented from WritingPofHandler::Complex.

The documentation for this class was generated from the following file:

- coherence/io/pof/WritingPofHandler.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.